# ----------------------------------------------------------------------------------------------

# mc.100ali.com
server {
    listen          80;
    server_name     mc.100ali.com;

    # 直接重写, http post请求会报405
    #rewrite ^(.*)$  https://$host$1 permanent;

    # 307临时重定向到https, 若返回了307重新请求
    return 307 https://$host$request_uri;

    # 公用location, http\https都可访问
    #include servers/mc.100ali.com;
}

server {
    listen       	            443 ssl;
    server_name  	            mc.100ali.com;
    #access_log 	 	        /var/log/nginx/mc.100ali.com.log;
    # 阿里云免费证书
    ssl_certificate  	        servers/certs/mc.100ali.com.pem;
    ssl_certificate_key         servers/certs/mc.100ali.com.key;
    # 腾讯云免费证书
    #ssl_certificate             services/certs/mc.100ali.com_bundle.crt;
    #ssl_certificate_key         services/certs/mc.100ali.com.key;
    ssl_session_timeout  	    5m;
    ssl_protocols               TLSv1 TLSv1.1 TLSv1.2;
    ssl_ciphers 	  	        ECDHE-RSA-AES128-GCM-SHA256:ECDHE:ECDH:AES:HIGH:!NULL:!aNULL:!MD5:!ADH:!RC4;
    ssl_prefer_server_ciphers   on;
    charset                     utf-8;

    include servers/location;
}

# ----------------------------------------------------------------------------------------------
